%define realversion 1.0a15

Name: avinfo
Version: 1.0
Release: alt1.a15

Summary: AVInfo is a utility for output information about AVI files
Summary(ru_RU.KOI8-R): AVInfo -      avi 
Group: Video
License: GPL
URL: http://www.shounen.ru/soft/avinfo/

Source: %url/avinfo-%realversion.zip

# Automatically added by buildreq on Mon Feb 28 2005
BuildRequires: unzip

%description
AVInfo is a utility for displaying AVI header information. It returns the
length of a clip, FPS, resolution, codec, sound parametrs, and the number
and type of streams, including detailed information for each.

%description -l ru_RU.KOI8-R
AVInfo -           
avi . ,   ,  
   ,    .
         
  . ,  -    
   .
     -     
  -         .

%prep
%setup -q -c %name-%realversion

find -type f -print0 | xargs -r0 %__subst 's,
,,g
s,,,g'

pushd doc
%define dos_files ass_tutorial.rus faq.rus sn.txt varnames
for f in %dos_files; do
iconv -s -f cp866 -t koi8-r -o ../$f $f
%__subst 's,DOS-866\( codepage\),KOI8-R\1,' ../$f
%__rm -f $f
done
%define win_files doc_ru.html readme.rus whatsnew.rus
for f in %win_files; do
iconv -s -f windows-1251 -t koi8-r -o ../$f $f
%__subst 's,DOS-866\( codepage\),KOI8-R\1,' ../$f
%__rm -f $f
done
popd
%__mv %dos_files doc/
%__mv %win_files doc/

%build
pushd src
%make_build
popd

%install
%__install -pD src/%name %buildroot%_bindir/%name

%files
%_bindir/*
%doc doc/*

%changelog
* Mon Feb 28 2005 Victor Forsyuk <force@altlinux.ru> 1.0-alt1.a15
- 1.0a15

* Sun Nov 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.4-alt1
- 0.7.4

* Sat Aug 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt1
- 0.7.3

* Wed Jun 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.2-alt1
- 0.7.2

* Mon Mar 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt1
- 0.7.1

* Fri Mar 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt1
- 0.7

* Fri Feb 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6-alt1
- 0.6

* Mon Feb 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt0.5
- new version.

* Thu Jan 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt0.5b
- First build for Sisyphus.
